未分类

jquery 使用多个版本 jQuery.noConflict()

jquery使用多个jquery版本

第一个下面就设置 noConflick() 不设置的可以是默认,放在最后加载

<script src="//ajax.cat.net/ajax/libs/jquery/1.8.3/jquery.min.js" type="text/javascript"></script>
<script>
    var $i = jQuery.noConflict();
    alert($i.fn.jquery);
</script> 

<script src="//ajax.cat.net/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
<script>
    var $j = jQuery.noConflict();
    alert($j.fn.jquery);
</script> 

示例demo

<link rel="stylesheet" type="text/css" href="../images/jq/jquery.webox.css" />
    <script type="text/javascript" src="../js/jquery.1.19.js"></script>
    <script>
        var $2 = jQuery.noConflict();
    </script>
<script type="text/javascript" src="../js/jquery.js"></script>

参考

https://stackoverflow.com/questions/1566595/can-i-use-multiple-versions-of-jquery-on-the-same-page